id: vnf_media_image
label: Media images
migration_group: vnf
source:
  plugin: images
  key: migrate
  constants:
    bundle: 'image'
    uid: 2

process:
  mid:
    plugin: migration_lookup
    migration: vnf_file
    no_stub: true
    source: id

  bundle: 'constants/bundle'

  langcode:
    plugin: default_value
    source: language
    default_value: "lv"

  name: image

  uid: 'constants/uid'

  status:
    plugin: default_value
    default_value: 1

  field_media_image/target_id:
    plugin: migration_lookup
    migration: vnf_file
    source: id
    no_stub: true

destination:
  plugin: entity:media
  migration_dependencies:
    required:
      - vnf_file
